# Generated by Django 4.1.5 on 2023-01-30 23:27

import django.utils.timezone
import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("green_deal", "0006_greendealhomepage_title_suffix"),
    ]

    operations = [
        migrations.AlterField(
            model_name="greendealhomepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "text_2_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                        ],
                                        label="levý sloupec",
                                    ),
                                ),
                                (
                                    "right_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                        ],
                                        label="pravý sloupec",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "text_1_column",
                        wagtail.blocks.StructBlock(
                            [
                                ("header", wagtail.blocks.CharBlock()),
                                (
                                    "text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                        ]
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "FAQ_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                        ],
                                        label="levý sloupec",
                                    ),
                                ),
                                (
                                    "faqs",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "question",
                                                    wagtail.blocks.TextBlock(),
                                                ),
                                                (
                                                    "answer",
                                                    wagtail.blocks.RichTextBlock(),
                                                ),
                                            ]
                                        ),
                                        label="faq",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "news",
                        wagtail.blocks.ListBlock(
                            wagtail.blocks.StructBlock(
                                [
                                    ("header", wagtail.blocks.CharBlock()),
                                    (
                                        "perex",
                                        wagtail.blocks.RichTextBlock(
                                            features=[
                                                "h2",
                                                "h3",
                                                "h4",
                                                "h5",
                                                "bold",
                                                "italic",
                                                "ol",
                                                "ul",
                                                "hr",
                                                "link",
                                                "document-link",
                                                "image",
                                            ]
                                        ),
                                    ),
                                    ("img", wagtail.images.blocks.ImageChooserBlock()),
                                    ("link", wagtail.blocks.URLBlock()),
                                    (
                                        "date",
                                        wagtail.blocks.DateBlock(
                                            default=django.utils.timezone.now
                                        ),
                                    ),
                                ]
                            ),
                            label="aktuality",
                        ),
                    ),
                ],
                blank=True,
                use_json_field=True,
                verbose_name="obsah stránky",
            ),
        ),
        migrations.AlterField(
            model_name="greendealhomepage",
            name="top_menu",
            field=wagtail.fields.StreamField(
                [
                    (
                        "item",
                        wagtail.blocks.StructBlock(
                            [
                                ("name", wagtail.blocks.CharBlock(label="název")),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="stránka",
                                        page_type=[
                                            "green_deal.GreenDealHomePage",
                                            "green_deal.GreenDealSubPage",
                                        ],
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="horní menu",
            ),
        ),
        migrations.AlterField(
            model_name="greendealsubpage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "text_2_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                        ],
                                        label="levý sloupec",
                                    ),
                                ),
                                (
                                    "right_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                        ],
                                        label="pravý sloupec",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "text_1_column",
                        wagtail.blocks.StructBlock(
                            [
                                ("header", wagtail.blocks.CharBlock()),
                                (
                                    "text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                        ]
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "FAQ_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                        ],
                                        label="levý sloupec",
                                    ),
                                ),
                                (
                                    "faqs",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "question",
                                                    wagtail.blocks.TextBlock(),
                                                ),
                                                (
                                                    "answer",
                                                    wagtail.blocks.RichTextBlock(),
                                                ),
                                            ]
                                        ),
                                        label="faq",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "news",
                        wagtail.blocks.ListBlock(
                            wagtail.blocks.StructBlock(
                                [
                                    ("header", wagtail.blocks.CharBlock()),
                                    (
                                        "perex",
                                        wagtail.blocks.RichTextBlock(
                                            features=[
                                                "h2",
                                                "h3",
                                                "h4",
                                                "h5",
                                                "bold",
                                                "italic",
                                                "ol",
                                                "ul",
                                                "hr",
                                                "link",
                                                "document-link",
                                                "image",
                                            ]
                                        ),
                                    ),
                                    ("img", wagtail.images.blocks.ImageChooserBlock()),
                                    ("link", wagtail.blocks.URLBlock()),
                                    (
                                        "date",
                                        wagtail.blocks.DateBlock(
                                            default=django.utils.timezone.now
                                        ),
                                    ),
                                ]
                            ),
                            label="aktuality",
                        ),
                    ),
                ],
                blank=True,
                use_json_field=True,
                verbose_name="obsah stránky",
            ),
        ),
    ]
